Summary:	Audio streaming library for icecast encoders
Name:		libshout
Version:	2.0
Release:	3
Group:		System Environment/Libraries
License:	LGPL
URL:		http://www.xiph.org/
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:	libvorbis
BuildRequires:	libvorbis-devel

%description
Libshout is a library for communicating with and sending data to an
icecast server.  It handles the socket connection, the timing of the
data, and prevents bad data from getting to the icecast server.

%package	devel
Summary:	Header and object files for development using libshout
Group:		Development/Libraries
License:	LGPL
Requires:	libshout = %{version}-%{release}

%description	devel
The libshout-devel package contains header and object files for development
using libshout.


%prep
%setup


%build
%configure
%{__make}


%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
%makeinstall

# Fix install
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/%{name}/
#


%clean 
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%files
%defattr(0644,root,root,0755)
%doc COPYING INSTALL
%attr(0755,-,-) %{_libdir}/libshout.so*


%files devel
%defattr(0644,root,root,0755)
%doc README
%doc doc/libshout.xml doc/spec-html.xsl examples/example.c
%{_includedir}/shout.h
%{_libdir}/pkgconfig/shout.pc
%{_datadir}/aclocal/shout.m4
%attr(0755,-,-) %{_libdir}/libshout.a
%attr(0755,-,-) %{_libdir}/libshout.la


%changelog
* Sun Jan 11 2004 Petr Kritof <Petr|Kristof_CZ>
- Cleanup spec file

* Sun Nov 23 2003 Petr Kritof <Petr|Kristof_CZ>
- Rebuild on FC-1

* Sun Jul 20 2003 Petr Kritof <Petr|Kristof_CZ>
- Final version 2.0
- Split package to libshout, libshout-devel

* Mon Mar 24 2003 Petr Kritof <Petr|Kristof_CZ>
- Rebuild on RH-8.0

* Sun Nov 10 2002 Petr Kritof <Petr|Kristof_CZ>
- Initial build

